> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Register a git commit.

| Scope | Required |
| - | - |
| `git_commits:write` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-04.yaml post /git_commits
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-04.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-04.everglades
  x-git-commit:
    sha: e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    url: >-
      https://github.com/mirurobotics/openapi/commit/e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    message: >-
      feat(platform): add archived and deleted list filters, and tidy
      descriptions (#446)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-05T23:04:32.018858+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /git_commits:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    post:
      tags:
        - Git Commits
      summary: Create
      description: Register a git commit.
      operationId: createGitCommit
      parameters:
        - $ref: '#/components/parameters/git_commit_expansions'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGitCommitRequest'
      responses:
        '200':
          description: Successfully created the git commit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitCommit'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-04.everglades
      description: The API version the client was built against.
    git_commit_expansions:
      name: expand
      in: query
      required: false
      description: Fields to expand on the git commit resource.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/GitCommitExpansion'
        example:
          - created_by
  schemas:
    CreateGitCommitRequest:
      title: Git Commit Request
      type: object
      required:
        - sha
        - message
        - origin
      properties:
        sha:
          type: string
          example: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
          description: The SHA hash of the git commit.
        message:
          type: string
          description: The commit message.
          example: Update config schema for robot1
        origin:
          type: string
          description: The URL of the git repository origin.
          example: https://github.com/robot1/robot1.git
    GitCommit:
      title: Git Commit
      allOf:
        - $ref: '#/components/schemas/BaseGitCommit'
        - type: object
          required:
            - created_by_id
          properties:
            created_by_id:
              type: string
              example: usr_123
              description: ID of the principal who created the git commit.
            created_by:
              allOf:
                - $ref: '#/components/schemas/Principal'
              description: >-
                The principal who created the git commit. Expand using
                `expand=created_by` in the query string.
      example:
        object: git_commit
        id: git_commit_123
        sha: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
        message: Add basic motion configurations
        repository_owner: user
        repository_name: repo
        repository_type: github
        repository_url: https://github.com/user/repo
        commit_url: >-
          https://github.com/user/repo/commit/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
        created_at: '2021-01-01T00:00:00Z'
        created_by_id: usr_123
    GitCommitExpansion:
      type: string
      enum:
        - created_by
      x-enum-varnames:
        - GIT_COMMIT_EXPAND_CREATED_BY
    BaseGitCommit:
      title: Base Git Commit
      type: object
      required:
        - object
        - id
        - sha
        - message
        - repository_owner
        - repository_name
        - repository_type
        - repository_url
        - commit_url
        - created_at
      properties:
        object:
          type: string
          enum:
            - git_commit
          example: git_commit
          x-stainless-const: true
          description: The object type, which is always `git_commit`.
        id:
          type: string
          example: git_commit_123
          description: ID of the git commit.
        sha:
          type: string
          example: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
          description: The SHA hash of the git commit.
        message:
          type: string
          example: Add basic motion configurations
          description: The commit message.
        repository_owner:
          type: string
          example: user
          description: The owner of the git repository.
        repository_name:
          type: string
          example: repo
          description: The name of the git repository.
        repository_type:
          $ref: '#/components/schemas/GitRepositoryType'
        repository_url:
          type: string
          example: https://github.com/user/repo
          description: The URL of the git repository.
        commit_url:
          type: string
          example: >-
            https://github.com/user/repo/commit/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
          description: The URL of the git commit.
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the git commit was created.
    Principal:
      title: Principal
      type: object
      required:
        - object
        - id
        - name
        - type
      properties:
        object:
          type: string
          enum:
            - principal
          example: principal
          x-stainless-const: true
          description: The object type, which is always `principal`.
        id:
          type: string
          example: api_key_123
          description: ID of the principal.
        name:
          type: string
          example: My CI/CD Key
          description: The display name of the principal.
        type:
          allOf:
            - $ref: '#/components/schemas/PrincipalType'
          description: >-
            The kind of principal. More types may be added, so handle unknown
            values.
      example:
        object: principal
        id: api_key_123
        name: My CI/CD Key
        type: api_key
    GitRepositoryType:
      type: string
      enum:
        - github
        - gitlab
        - bitbucket
      x-enum-varnames:
        - GIT_REPO_TYPE_GITHUB
        - GIT_REPO_TYPE_GITLAB
        - GIT_REPO_TYPE_BITBUCKET
    PrincipalType:
      title: Principal Type
      type: string
      enum:
        - user
        - api_key
        - device
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.